<id>
Better Link Page SP1.1 NL
</id>

<version>
1.1b
</version>

<mod info>
OK, it's already implemented in the YaBB 1 Platinum Release, but I promised to make an SP1.1 mod out of it too.

Version History

1.0
Initial extract from Platinum

1.0a
Forgotten Links path in Admin Center and two typo's in the code

1.0b
Added a No Global Moderator version of Links.pl (just upload the right version)

1.0c
Fixed a mod error (step 7)

1.1
Added email notification to linkadmin and user on add/edit/delete/approve/unapprove
Settings are found in the admin center.
Fixed non LWP:UserAgent supporting servers (link check while editing/adding has to be switched off)
Used new Hashing Table text definitions

1.1a
Mod fix and three undefined Platinum textstrings replaced my strings in this mod.

1.1b
Mod fix forgotten line in AdminEdit.pl that saved the link administrator.

How to install ?

- Create a directory /Links within the YaBB main dir and CHMOD 766 or 777 (some hosts allow only 755).
- Upload the files in the zip (within /Links) into this dir and CHMOD 666
- Upload the gif's in /YaBBImages
- Apply the mod (after making a backup)
- Upload the modified pl and lng files
- Go into Admin Center and go to Preferences
- Set the path to the links dir (./Links)
- Set the preferred options in the Links section of the admincenter
- Return to admin and go into the link category editor
- Create your categories.
- Have fun adding, moving, deleting and editting the links.

Attention!

Live link testing in the links index can be a time/server consuming task if dead links are found so 
be careful teasing your provider with this option.

Editing the language part within the link editor

You will find two files called dutch.txt and english.txt
These contain the id|Language descriptor for the language selection in the link editor.
These files must be one on one if you use multiple languages.
Depending in the language you use on the board the editor will select the right language to display.
eg if you use a german language board, copy the dutch.txt to german.txt and tranlate the descriptors
to german.
The links.pl looks for a .txt file with the exact same name as the <language>.lng of your board.

Enjoy,

Ron

</mod info>

<author>
Spikecity
</author>

<homepage>
http://www.spikecity.net/
</homepage>

<edit file>
dutch.lng
</edit file>

<search for>
	$img{'lock'} = qq~<font size="1" class="imgwindowbg">$txt{'104'}</font>~;
</search for>

<add after>
	$img{'links'} = qq~<font size="1" class="imgmenu">$lnktxt{'1'}</font>~;
</add after>

<search for>
	$img{'lock'} = qq~<img src="$imagesdir/locked.gif" alt="$txt{'104'}" border="0"> <font size="1" class="imgwindowbg">$txt{'104'}</font>~;
</search for>

<add after>
	$img{'links'} = qq~<img src="$imagesdir/links.gif" alt="$lnktxt{'1'}" border="0"> <font size="1" class="imgmenu">$lnktxt{'1'}</font>~;
</add after>

<search for>
1;
</search for>

<add before>

########### YaBB Links Page ##########
%lnktxt=(
'1' => "Links",
'2' => "YaBB Links",
'4' => "Website Titel",
'5' => "URL van de link",
'6' => "Omschrijving",
'7' => "Je Gebruikersnaam",
'8' => "Sleutelwoorden (optioneel)",
'9' => "oude keuze: ",
'10' => "Link Categorien",
'11' => "Voer een Categorie ID en Category omschrijving in als in het voorbeeld<br><i>YaBB_Support\|YaBB support site links</i>.",
'12' => "Werk Categorien bij",
'13' => "Wis Link",
'14' => "Wijzig Link",
'15' => "Voeg een nieuwe link toe",
'17' => "Nieuwe Link",
'18' => "Voeg deze Link toe",
'20' => "Je E-mail adres",
'22' => "Wis",
'23' => "Wijzig",
'24' => "Niet<br>Vrijgegeven",
'25' => "Selecteer",
'27' => "Voeg Toe",
'28' => "Sla lijst op",
'29' => "Lijst Wissen",
'30' => "Taal",
'31' => "Toegevoegd door",
'32' => "Status",
'33' => "Categorie",
'34' => "Site is Online",
'35' => "Site is Offline",
'36' => "Online Site test is niet actief",
'37' => "Alle Categorien",
'38' => "Blokkeer",
'39' => "Geef Vrij",
'40' => "Leden mogen links toevoegen",
'41' => "Doe een live linktest in de link index.<br><i>(Kan de pagina erg traag maken bij dode links)</i>",
'42' => "Controleer URL tijdens toevoegen/veranderen",
'43' => "$mbname-Bericht: (SUBJECT)",
'44' => "(DATE) Link Status:\n\n\n\nMESSAGE\nSENDER\n",
'45' => "Stuur e-mail notificatie van nieuwe links aan admin<br>en bevestig link status per e-mail aan lid",
'46' => "Link administrator gebruikersnaam<br><i>(indien leeg worden meldingen naar het e-mail adres van de administator gestuurd)</i>",
'47' => "De link die je hebt toegevoegd is",
'48' => "goedgekeurd door",
'48a' => "toegevoegd in afwachting van controle",
'49' => "afgekeurd door",
'50' => "gewist door",
'50a' => "gewijzigd door",
'51' => "en is nu zichtbaar in de link index.",
'52' => "en is nu onzichtbaar in de link index.",
'53' => "Dank je wel voor je bijdrage aan onze links pagina.",
'54' => "De link informatie is",
'55' => "Laat Links zien in het Board Menu",
'56' => "Links Directory"
);

%lnkerrtxt=(
'1' => "Website URL bestaat al database",
'2' => "Website titel invullen aub",
'3' => "Omschrijving invullen aub",
'4' => "Site URL invullen aub",
'5' => "Website URL fout, foutnummer:"
);
########### YaBB Links Page ##########

</add before>

<edit file>
Sources/Admin.pl
</edit file>

<search for>
        - <a href="$cgi;action=manageboards">$txt{'4'}</a>
</search for>

<replace>
        - <a href="$cgi;action=manageboards">$txt{'4'}</a><br>
        - <a href="$cgi;action=link_cat">$lnktxt{'10'}</a><br>
</replace>


<edit file>
YaBB.pl
</edit file>

<search for>
	elsif ($action eq 'lock') { require "$sourcedir/LockThread.pl"; &LockThread; }
</search for>

<add after>
        elsif ($action eq 'links') { require "$sourcedir/Links.pl"; &links; }
        elsif ($action eq 'link_add') { require "$sourcedir/Links.pl"; &link_add; }
        elsif ($action eq 'link_add2') { require "$sourcedir/Links.pl"; &link_add2; }
        elsif ($action eq 'link_edit') { require "$sourcedir/Links.pl"; &link_edit; }
        elsif ($action eq 'link_edit2') { require "$sourcedir/Links.pl"; &link_edit2; }
        elsif ($action eq 'link_admin') { require "$sourcedir/Links.pl"; &link_admin; }
        elsif ($action eq 'link_delete') { require "$sourcedir/Links.pl"; &link_delete; }
        elsif ($action eq 'link_not_ok') { require "$sourcedir/Links.pl"; &link_not_ok; }
        elsif ($action eq 'link_ok') { require "$sourcedir/Links.pl"; &link_ok; }
        elsif ($action eq 'link_cat') { require "$sourcedir/Links.pl"; &link_cat; }
        elsif ($action eq 'link_cat2') { require "$sourcedir/Links.pl"; &link_cat2; }
</add after>

<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
	if ($showuserpic) { $supicchecked = "checked" }
</search for>

<add after>
	if ($showlinks) { $showlinkschecked = "checked" }
	if ($testlinklive) { $testlinklivechecked = "checked" }
	if ($testlink) { $testlinkchecked = "checked" }
	if ($allowaddlink) { $allowaddlinkchecked = "checked" }
	if ($linkconfirm) { $linkconfirmchecked = "checked" }
</add after>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'361'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="vardir" size="30" value="$vardir"></td>
  </tr><tr>
</search for>

<add after>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'56'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="linksdir" size="30" value="$linksdir"></td>
  </tr><tr>
</add after>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'478'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="userpic_limits" size="45" value="$userpic_limits"></td>
  </tr><tr>
</search for>

<add after>
    <td class="titlebg" bgcolor="$color{'titlebg'}" colspan=2>
    <img src="$imagesdir/preferences.gif" alt="" border="0">
    <font size=2 class="text1" color="$color{'titletext'}"><b>$lnktxt{'2'}</b></font></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'55'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="showlinks" $showlinkschecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'40'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="allowaddlink"$allowaddlinkchecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'41'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="testlinklive"$testlinklivechecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'42'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="testlink"$testlinkchecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'45'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="linkconfirm"$linkconfirmchecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'46'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="linkadmin" size="30" value=$linkadmin></td>
  </tr><tr>
</add after>

<search for>
	$vardir = $FORM{'vardir'} || "$boarddir/Variables";
</search for>

<add after>
	$linksdir = $FORM{'linksdir'} || "$boarddir/Links";
	$linkadmin = $FORM{'linkadmin'} || "admin";
</add after>

<search for>
	my @onoff = qw/
		allowpics showyabbcbutt showbdescrip maintenance guestaccess insert_original enable_ubbc enable_news enable_guestposting enable_notification showlatestmember showrecentbar showmarkread showmodify showuserpic showusertext showgenderimage shownewsfader MenuType curposlinks profilebutton autolinkurls emailpassword RegAgree emailwelcome allow_hide_email usetempfile faketruncation emailnewpass/;
</search for>

<replace>
	my @onoff = qw/
		testlinklive testlink allowaddlink linkconfirm allowpics showlanguage showgames showlinks showyabbcbutt showbdescrip maintenance guestaccess insert_original enable_ubbc enable_news enable_guestposting enable_notification showlatestmember showrecentbar showmarkread showmodify showuserpic showusertext showgenderimage shownewsfader MenuType curposlinks profilebutton autolinkurls emailpassword RegAgree emailwelcome allow_hide_email usetempfile faketruncation emailnewpass/;
</replace>

<search for>
	# Set as 0 or 1 if box was checked or not
</search for>

<add before>

	push(@onoff, "showlinks");
	push(@onoff, "testlinklive");
	push(@onoff, "testlink");
	push(@onoff, "allowaddlink");
	push(@onoff, "linkconfirm");

</add before>

<search for>
\$vardir = "$vardir";         				# Directory with variable files
</search for>

<add after>
\$linksdir = "$linksdir";				# Directory to YaBB Links Data
</add after>

<search for>
\$showmodify = $showmodify;				# Set to 1 to display "Last modified: Realname - Date" under each message
</search for>

<add before>
\$showlinks = $showlinks;                               # Set to 1 to display the links in the board menu
\$testlinklive = $testlinklive;                         # Set to 1 to live test links in the link index
\$testlink = $testlink;                                 # Set to 1 to live test links in the add/update links
\$allowaddlink = $allowaddlink;                         # Set to 1 to allow members to add links
\$linkconfirm = $linkconfirm;                           # Set to 1 to use email confirmations of new links and status reports
\$linkadmin = q^$linkadmin^;                            # email address for link admin confirmations
</add before>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
	$yymenu = qq~<a href="$scripturl">$img{'home'}</a>$menusep<a href="$helpfile" target="_blank" style="cursor:help;">$img{'help'}</a>$menusep<a href="$cgi;action=search">$img{'search'}</a>$menusep<a href="$scripturl?action=mlall">$img{'memberlist'}</a>~;
</search for>

<add after>
	if ($showlinks ==1){
		$yymenu .= qq~$menusep<a href="$cgi;action=links">$img{'links'}</a>~;
	}
</add after>
